/*
 * Copyright (c) 2004, 2005, 2006, 2007 Luiz Otavio O Souza <loos.br@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * $Id: array_cmd.h,v 1.9 2007/07/28 18:08:01 luiz Exp $
 */

#ifndef ARRAY_CMD_H
#define ARRAY_CMD_H

#define USEIMG		0x00000001
#define SEEIMG		0x00000002
#define FILETRANSF	0x00000004
#define CHAT		0x00000008
#define P2P		0x00010000
#define DATACAST	0x00020000
#define CONNECT		0x00040000
#define SAVE_MSG	0x00080000
#define SAVE_CONTACTS	0x00100000
#define CONTACT		0x00200000
#define GROUP		0x00400000
#define	EMOTICON	0x00800000
#define	LOGWARNING	0x01000000

#if 0
#define CVR0		0x00000010		/* from msn-proxy.h */
#define MSNP8		0x00000020		/* from msn-proxy.h */
#define MSNP9		0x00000040		/* from msn-proxy.h */
#define MSNP10		0x00000080		/* from msn-proxy.h */
#define MSNP11		0x00000100		/* from msn-proxy.h */
#define MSNP12		0x00000200		/* from msn-proxy.h */
#define MSNP13		0x00000400		/* from msn-proxy.h */
#define MSNP14		0x00000800		/* from msn-proxy.h */
#define MSNP15		0x00001000		/* from msn-proxy.h */
#define UNKNOWN		0x00002000		/* from msn-proxy.h */
#endif

#define DENY_ALL	0xffffffff

#endif
